{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Exponential Decomposition",
	"description": "Details for exponential decomposition of full waveform data",
	"definitions": {
		"channel": {
			"type": "object",
			"properties": {
				"delay": {
					"description": "delay calibration in seconds",
					"type": "number"
				},
				"scale": {
					"description": "amplitude calibration",
					"type": "number"
				},
				"a_lin": {
					"description": "relative linear amplitude range [0..1]",
					"type": "number",
					"minimum": 0,
					"maximum": 1,
					"exclusiveMinimum": false,
					"exclusiveMaximum": false
				},
				"parameter": {
					"description": "parameters of the syswave exponential sum",
					"type": "object",
					"properties": {
						"A": {
							"description": "real part of amplitude factor in units of full-scale",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"B": {
							"description": "imaginary part of amplitude factor in units of full-scale",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"gamma": {
							"description": "decay in 1/second",
							"type": "array",
							"items": {
								"type": "number"
							}
						},
						"omega": {
							"description": "angular frequency in Hz",
							"type": "array",
							"items": {
								"type": "number"
							}
						}
					},
					"required": [
						"A",
						"B",
						"gamma",
						"omega"
					]
				}
			},
			"required": [
				"delay",
				"scale",
				"parameter"
			]
		}
	},
	"type": "object",
	"patternProperties": {
		"^[0-9]+$": {
			"description": "one field per channel, field name is channel index",
			"$ref": "#/definitions/channel"
		}
	},
	"additionalProperties": false
}